Subject: bug#26299: 24.5; Use of `…' in Info

From: Drew Adams <[email-masked]>
Date: Sun, 11 Jun 2017 19:49:08 -0700 (PDT)

> > > Maybe Emacs needs to work around the problem (if it can't be

> > > fixed).  Maybe if Emacs uses `. . .' instead of `...' that

> > > will stop Texinfo from messing with it.

> > > (Why would Texinfo have a blanket treatment of ... as …?

> > > That makes no sense at all.  What if the occurrence of ...

> > > is part of code, and NEEDS to be 3 period chars?)

> > Emacs' .texi files use @dots{} in these cases, as (strongly)

> > recommended by the texinfo manual:

> >     An ellipsis (a sequence of dots) would be spaced wrong when typeset as

> >     a string of periods, so a special command is used in Texinfo: use the

> >     @dots{} command to generate a normal ellipsis, which is three dots in

> >     a row, appropriately spaced … like so. To emphasize: do not simply

> >     write three periods in the input file; that would work for the Info

> >     file output, but would produce the wrong amount of space between the

> >     periods in the printed manual.

> > I found this thread [1] requesting plain "..." for @dots{} in makeinfo

> > output; there seemed to be no opposition, but I guess it didn't

> > happen. Perhaps try pinging [email-masked]?

> Thanks for checking on this, Noam.  I will leave it to Emacs

> maintainers to decide whether to ping bug-texinfo.  I reported

> the complaint as one Emacs user.  Dunno what Emacs Dev will

> decide is the desired behavior.  I know what I prefer.

Dunno whether you want a separate bug report for this, but here

is a related problem that is even worse, IMO: The character

RIGHTWARDS ARROW FROM BAR (#x421) is no good in Info, at least

in some fonts. It is too narrow.  Previously Emacs used `==>'

instead of that char. See attached screenshot, where the font

is (for some reason):

-outline-MS Gothic-normal-normal-normal-mono-14-*-*-*-c-*-jisx0208*-*

The font for the rest of the chars in that screenshot is:

-outline-Lucida Console-normal-normal-normal-mono-14-*-*-*-c-*-iso8859-1.

Don't ask me why Emacs uses that font for that char - I have no

idea.  (And yes, to Eli's typical response to questions about

fonts for odd chars, I do have Symbola installed.  But Emacs

doesn't seem to use it, here.)